# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/EditorHighlightingStylesSelectionDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EditorHighlightingStylesSelectionDialog(object):
    def setupUi(self, EditorHighlightingStylesSelectionDialog):
        EditorHighlightingStylesSelectionDialog.setObjectName("EditorHighlightingStylesSelectionDialog")
        EditorHighlightingStylesSelectionDialog.resize(400, 500)
        EditorHighlightingStylesSelectionDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(EditorHighlightingStylesSelectionDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.infoLabel = QtWidgets.QLabel(parent=EditorHighlightingStylesSelectionDialog)
        self.infoLabel.setWordWrap(True)
        self.infoLabel.setObjectName("infoLabel")
        self.verticalLayout.addWidget(self.infoLabel)
        self.lexersList = QtWidgets.QListWidget(parent=EditorHighlightingStylesSelectionDialog)
        self.lexersList.setAlternatingRowColors(True)
        self.lexersList.setObjectName("lexersList")
        self.verticalLayout.addWidget(self.lexersList)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=EditorHighlightingStylesSelectionDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(EditorHighlightingStylesSelectionDialog)
        self.buttonBox.accepted.connect(EditorHighlightingStylesSelectionDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(EditorHighlightingStylesSelectionDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(EditorHighlightingStylesSelectionDialog)

    def retranslateUi(self, EditorHighlightingStylesSelectionDialog):
        _translate = QtCore.QCoreApplication.translate
        self.lexersList.setSortingEnabled(True)
